#include<bits/stdc++.h.>
using namespace std;;
int main()
{
    int n;
    cin>>n;
    vector<int> x;
    vector<int> y;
    vector<int> z;
    x.resize(n);
    y.resize(n);
    z.resize(n);
    for(int i=1;i<=n;i++)
    {
        cin>>x[i];
    }
    for(int i=1;i<=n;i++)
    {
        cin>>y[i];
    }
    for(int i=1;i<=n;i++)
    {
        cin>>z[i];
    }
    int br=0;
    vector<int> imaju_para;
    for(int i=1;i<=n;i++)
    {
        for(int j=1;j<=n;j++)
        {
            if(x[i]==y[j])
            {
                imaju_para.push_back(j);
            }
        }
    }
    for(int i=0;i<imaju_para.size();i++)
    {
        for(int j=1;j<=n;j++)
        {
            if(imaju_para[i]==z[j])
            {
                br++;
            }
        }
    }
    cout<<br;

}